Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1380894 - [gtk3] rendering artifacts of VirGL 3D accelerated virtual guest in "GNOME" (on Wayland) session
Summary: [gtk3] rendering artifacts of VirGL 3D accelerated virtual guest in "GNOME" (...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gtk3
Version: 25
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: WaylandRelated
TreeView+ depends on / blocked
 
Reported: 2016-10-01 07:15 UTC by Joachim Frieben
Modified: 2016-10-18 11:04 UTC (History)
4 users (show)

Fixed In Version: gtk3-3.22.1-1.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-18 11:04:31 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
Screenshot of unmaximized application window of gnome-boxes (deleted)
2016-10-01 07:24 UTC, Joachim Frieben
no flags Details
Screenshot of full-screen application window of gnome-boxes (deleted)
2016-10-01 07:25 UTC, Joachim Frieben
no flags Details


Links
System ID Private Priority Status Summary Last Updated
GNOME Bugzilla 771553 0 None None None 2016-10-07 04:56:17 UTC

Description Joachim Frieben 2016-10-01 07:15:17 UTC
Description of problem:
In current Fedora 25, "GNOME" (on Wayland) is the default session type. When running a Fedora 24/25 virtual guest with a VirGL 3D accelerated virtio-gpu video device in gnome-boxes, the window content often turns black or the title bar of the application window becomes invisible and unresponsive to mouse-clicks. When running gnome-boxes in maximized or full-screen mode, this often leaves keyboard input Alt-F1 or Alt-F4 as the only means for regaining control over the desktop. When resizing the application window, the virtual guest's (black) desktop becomes usually visible again but upon interaction by mouse click it also often turns black again. When the application window of gnome-boxes is unmaximized, black areas stretch beyond the window border and cover portions of the host desktop.
To summarize, a VirGL 3D accelerated virtual guest session is essentially unusable in a "GNOME" (on Wayland) host session.

Version-Release number of selected component (if applicable):
gnome-shell-3.22.0-1.fc25

How reproducible:
Always

Steps to Reproduce:
1. Start "GNOME" (on Wayland) host session.
2. Launch VirGL 3D accelerated virtual guest session in gnome-boxes.
3. Interact with the desktop by means of the mouse.

Actual results:
Desktop quickly turns black; when gnome-boxes' application window is maximized, title bar of Boxes application window is hidden.

Expected results:
Virtual desktop guest session works as expected without rendering artifacts.

Additional info:
- Under a "GOME on Xorg" host session, a VirGL 3D accelerated virtual guest session behaves as expected without rendering artifacts, both "GNOME on Wayland" and "GNOME on Xorg".
- The video device of the host system is an AMD Mobility Radeon HD 3450/3470 (RV620/M82).

Comment 1 Joachim Frieben 2016-10-01 07:24:58 UTC
Created attachment 1206481 [details]
Screenshot of unmaximized application window of gnome-boxes

Comment 2 Joachim Frieben 2016-10-01 07:25:44 UTC
Created attachment 1206482 [details]
Screenshot of full-screen application window of gnome-boxes


Note You need to log in before you can comment on or make changes to this bug.